﻿@model IEnumerable<MIMS.Portal.ViewModels.NewsViewModel>
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "خبرها";
}

<section id="news-index">
    <div class="card">
        <div class="card-header">
            <h4 class="">فهرست</h4>
        </div>
        <div class="card-body">
            <div class="card-block">
                    <div class="table-responsive">
                        <table class="table table-hover header-border text-nowrap">
                            <thead class="thead-inverse">
                                <tr>
                                    <th>@Html.DisplayNameFor(model => model.Type)</th>
                                    <th>@Html.DisplayNameFor(model => model.Title)</th>
                                    <th>@Html.DisplayNameFor(model => model.Body)</th>
                                    <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>
                                    <th class="no-sort"><em class="fa fa-cog"></em></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model)
                                {
                                    <tr>
                                        <td>@Html.DisplayFor(modelItem => item.Type)</td>
                                        <td>@item.Title</td>
                                        <td>@item.Body</td>
                                        <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                                        <td>
                                            <a hidden asp-action="Details" asp-controller="News" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                                            <a hidden asp-action="Edit" asp-controller="News" asp-route-id="@item.Id" class="btn btn-info fa fa-fw fa-edit" data-toggle="tooltip" title="ویرایش"></a>
                                            <a asp-action="Delete" asp-controller="News" asp-route-id="@item.Id" class="btn btn-danger fa fa-fw fa-trash" data-toggle="tooltip" title="حذف"></a>
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
            </div>
        </div>
        <div class="card-footer">
            <small>
                آخرین بروز رسانی لحظاتی پیش
            </small>
        </div>
    </div>
</section>





